GET api/PayClasses

Request Information

URI Parameters

(i.e.queryString parameters in the form ?param1={param1}&param2={param2})

NameDescriptionTypeAdditional information
page

integer

Default value is 1

pageSize

integer

Default value is 1000

Body Parameters

None.

Response Information

Resource Description

PagedObjectOfPayClassView
NameDescriptionTypeAdditional information
Items

Collection of PayClassView

None.

PageInfo

PagedListPageInfo

None.

Response Formats

application/json, text/json

Sample:
{
  "items": [
    {
      "idPayClass": 1,
      "code": "sample string 2",
      "description": "sample string 3",
      "costAccount": 4,
      "yearlySalary": 5.0,
      "autopayAmount": 6.0,
      "normalRate": 7.0,
      "timeHalfRate": 8.0,
      "doubleRate": 9.0,
      "otherRate": 10.0,
      "awardRate": 11.0,
      "awardHoursPaid": 12.0,
      "timeHalfFactor": 13,
      "doubleFactor": 14
    },
    {
      "idPayClass": 1,
      "code": "sample string 2",
      "description": "sample string 3",
      "costAccount": 4,
      "yearlySalary": 5.0,
      "autopayAmount": 6.0,
      "normalRate": 7.0,
      "timeHalfRate": 8.0,
      "doubleRate": 9.0,
      "otherRate": 10.0,
      "awardRate": 11.0,
      "awardHoursPaid": 12.0,
      "timeHalfFactor": 13,
      "doubleFactor": 14
    }
  ],
  "pageInfo": {
    "page": 1,
    "pageSize": 2,
    "totalCount": 3,
    "totalPages": 4,
    "countThisPage": 5,
    "hasPreviousPage": true,
    "hasNextPage": true,
    "errorMessage": "sample string 8"
  }
}

application/xml, text/xml

Sample:
<PagedObjectOfPayClassView xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
  <Items>
    <PayClassView>
      <idPayClass>1</idPayClass>
      <code>sample string 2</code>
      <description>sample string 3</description>
      <CostAccount>4</CostAccount>
      <YearlySalary>5</YearlySalary>
      <AutopayAmount>6</AutopayAmount>
      <NormalRate>7</NormalRate>
      <TimeHalfRate>8</TimeHalfRate>
      <DoubleRate>9</DoubleRate>
      <OtherRate>10</OtherRate>
      <AwardRate>11</AwardRate>
      <AwardHoursPaid>12</AwardHoursPaid>
      <TimeHalfFactor>13</TimeHalfFactor>
      <DoubleFactor>14</DoubleFactor>
    </PayClassView>
    <PayClassView>
      <idPayClass>1</idPayClass>
      <code>sample string 2</code>
      <description>sample string 3</description>
      <CostAccount>4</CostAccount>
      <YearlySalary>5</YearlySalary>
      <AutopayAmount>6</AutopayAmount>
      <NormalRate>7</NormalRate>
      <TimeHalfRate>8</TimeHalfRate>
      <DoubleRate>9</DoubleRate>
      <OtherRate>10</OtherRate>
      <AwardRate>11</AwardRate>
      <AwardHoursPaid>12</AwardHoursPaid>
      <TimeHalfFactor>13</TimeHalfFactor>
      <DoubleFactor>14</DoubleFactor>
    </PayClassView>
  </Items>
  <PageInfo>
    <Page>1</Page>
    <PageSize>2</PageSize>
    <TotalCount>3</TotalCount>
    <TotalPages>4</TotalPages>
    <CountThisPage>5</CountThisPage>
    <HasPreviousPage>true</HasPreviousPage>
    <HasNextPage>true</HasNextPage>
    <ErrorMessage>sample string 8</ErrorMessage>
  </PageInfo>
</PagedObjectOfPayClassView>